PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures
Data Structures
PDL API Reference » SD Host (SD Host Controller)

## General Description

## Data Structures
struct | cy_stc_sd_host_init_config_t
| SD Host initialization configuration structure. More...
struct | cy_stc_sd_host_sd_card_config_t
| SD/eMMC card configuration structure. More...
struct | cy_stc_sd_host_cmd_config_t
| SD Host command configuration structure. More...
struct | cy_stc_sd_host_data_config_t
| The SD Host data transfer configuration structure. More...
struct | cy_stc_sd_host_write_read_config_t
| SD Host Write/Read structure. More...
struct | cy_stc_sd_host_context_t
| Context structure. More...

## Data Structure Documentation

## ◆ cy_stc_sd_host_init_config_t

struct cy_stc_sd_host_init_config_t

Data Fields
bool | emmc | Set to true of eMMC otherwise false.
cy_en_sd_host_dma_type_t | dmaType | Selects the DMA type to be used.
bool | enableLedControl | If true the SD clock controls one IO used to indicate when the card is being accessed.

## ◆ cy_stc_sd_host_sd_card_config_t

struct cy_stc_sd_host_sd_card_config_t

Data Fields
bool | lowVoltageSignaling | If true, the host supports the 1.8V signaling.
cy_en_sd_host_bus_width_t | busWidth | The desired bus width.
cy_en_sd_host_card_type_t * | cardType | The card type.
uint32_t * | rca | The pointer to where to store the cards relative card address.
cy_en_sd_host_card_capacity_t * | cardCapacity | Stores the card capacity.

## ◆ cy_stc_sd_host_cmd_config_t

struct cy_stc_sd_host_cmd_config_t

Data Fields
uint32_t | commandIndex | The index of the command.
uint32_t | commandArgument | The argument for the command.
bool | enableCrcCheck | Enables the CRC check on the response.
bool | enableAutoResponseErrorCheck | If true the hardware checks the response for errors.
cy_en_sd_host_response_type_t | respType | The response type.
bool | enableIdxCheck | Checks the index of the response.
bool | dataPresent | true: Data is present to be transferred using the DAT line, false: Commands use the CMD line only.
cy_en_sd_host_cmd_type_t | cmdType | The command type.

## ◆ cy_stc_sd_host_data_config_t

struct cy_stc_sd_host_data_config_t

Data Fields
uint32_t | blockSize | The size of the data block.
uint32_t | numberOfBlock | The number of blocks to send.
bool | enableDma | Enables DMA for the transaction.
cy_en_sd_host_auto_cmd_t | autoCommand | Selects which auto commands are used if any.
bool | read | true = Read from the card, false = Write to the card.
uint32_t * | data | The pointer to data to send/receive or the pointer to the DMA descriptor.
uint32_t | dataTimeout | The timeout value for the transfer.
bool | enableIntAtBlockGap | Enables the interrupt generation at the block gap.
bool | enReliableWrite | For EMMC enables the reliable write.

## ◆ cy_stc_sd_host_write_read_config_t

struct cy_stc_sd_host_write_read_config_t

Data Fields
uint32_t * | data | The pointer to data.
uint32_t | address | The address to Write/Read data on the card or eMMC.
uint32_t | numberOfBlocks | The number of blocks to Write/Read.
cy_en_sd_host_auto_cmd_t | autoCommand | Selects which auto commands are used if any.
uint32_t | dataTimeout | The timeout value for the transfer.
bool | enReliableWrite | For EMMC cards, enables the reliable write.
bool | enableDma | Enables DMA for the transaction.

## ◆ cy_stc_sd_host_context_t

struct cy_stc_sd_host_context_t

Data Fields
cy_en_sd_host_dma_type_t | dmaType | Defines the DMA type to be used.
cy_en_sd_host_card_capacity_t | cardCapacity | The standard card or the card with the high capacity.
uint32_t | maxSectorNum | The SD card maximum number of the sectors.
uint32_t | RCA | The relative card address.
cy_en_sd_host_card_type_t | cardType | The card type.
uint32_t | csd[4] | The Card-Specific Data register.
cy_en_sd_host_bus_width_t | busWidth | card bus width.